//获取配置信息
import {XmlHelper} from "./XmlHelper";

export function ConfigManger(configPath) {
    var m_configPath = "";
    var m_xmlDoc = null;

    if (configPath != null && configPath != "")
        m_configPath = configPath;
    else
        m_configPath = "config/config_app.xml";

    if (m_configPath == null || m_configPath == "")
            return null;
        var xmlHelper = new XmlHelper();
        var m_xmlDoc = xmlHelper.loadFileXml(m_configPath); //获取工具栏信息
        if (m_xmlDoc == null)
            return null;

    //获取配置信息
        this.GetConfigValue = function (keyName) {
            if (m_xmlDoc == null)
                return null;
            var data = m_xmlDoc.getElementsByTagName(keyName); //获得所有子节点
            //var value = data[0].text;
            var xmlHelper = new XmlHelper();
            if (data.length == 0)
                return null;
            var value = xmlHelper.getNodeValue(data[0]);
            return value;
        }
}